
#include <string.h>
#ifdef _ALPHA_
#include <stdarg.h>
#endif

#include "distcomp.h"


extern const MIDL_FORMAT_STRING __MIDLFormatString;

extern const MIDL_FORMAT_STRING __MIDLProcFormatString;

static RPC_PROTSEQ_ENDPOINT __RpcProtseqEndpoint[] = 
    {
    {(unsigned char *) "ncalrpc", (unsigned char *) "DistComp"},
    {(unsigned char *) "ncacn_nb_nb", (unsigned char *) "127"}
    };


static const RPC_CLIENT_INTERFACE DistComp___RpcClientInterface =
    {
    sizeof(RPC_CLIENT_INTERFACE),
    {{0x6de3bb40,0xe6ac,0x11cd,{0x8a,0x0b,0x00,0xaa,0x00,0x4a,0x2e,0x32}},{1,0}},
    {{0x8A885D04,0x1CEB,0x11C9,{0x9F,0xE8,0x08,0x00,0x2B,0x10,0x48,0x60}},{2,0}},
    0,
    2,
    __RpcProtseqEndpoint,
    0,
    0
    };
RPC_IF_HANDLE DistComp_v1_0_c_ifspec = (RPC_IF_HANDLE)& DistComp___RpcClientInterface;

extern const MIDL_STUB_DESC DistComp_StubDesc;

static RPC_BINDING_HANDLE DistComp__MIDL_AutoBindHandle;


LONG RPCControl( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lCommand)
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          0);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U + 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lCommand;
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[0] );
        
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCDecompBunchReqAccept( 
    /* [in] */ handle_t hHandle)
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          1);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[6] );
        
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCDecompBunchRequest( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lBunchId,
    /* [in] */ BUNCHACTION baAction,
    /* [in] */ LONG lBunchLen,
    /* [in] */ LONG lComFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbComFormat[  ],
    /* [in] */ LONG lUncFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbUncFormat[  ],
    /* [in] */ LONG lRecFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbRecFormat[  ],
    /* [size_is][ref][in] */ LONG __RPC_FAR alCom[  ],
    /* [in] */ LONG lComDataLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbComData[  ])
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          2);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U + 4U + 2U + 6U + 4U + 4U + 11U + 7U + 11U + 7U + 11U + 7U + 7U;
        _StubMsg.MaxCount = lComFormatLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)lpbComFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[0] );
        
        _StubMsg.MaxCount = lUncFormatLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)lpbUncFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[10] );
        
        _StubMsg.MaxCount = lRecFormatLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)lpbRecFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[20] );
        
        _StubMsg.MaxCount = lBunchLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)alCom,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[30] );
        
        _StubMsg.MaxCount = lComDataLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)lpbComData,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[40] );
        
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lBunchId;
        
        NdrSimpleTypeMarshall(
                         ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                         ( unsigned char __RPC_FAR * )&baAction,
                         13);
        _StubMsg.Buffer += 2;
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lBunchLen;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lComFormatLen;
        
        _StubMsg.MaxCount = lComFormatLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)lpbComFormat,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[0] );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lUncFormatLen;
        
        _StubMsg.MaxCount = lUncFormatLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)lpbUncFormat,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[10] );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lRecFormatLen;
        
        _StubMsg.MaxCount = lRecFormatLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)lpbRecFormat,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[20] );
        
        _StubMsg.MaxCount = lBunchLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)alCom,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[30] );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lComDataLen;
        
        _StubMsg.MaxCount = lComDataLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)lpbComData,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[40] );
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[10] );
        
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCDecompBunchRetAvail( 
    /* [in] */ handle_t hHandle)
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          3);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[6] );
        
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCGetDecompBunchResult( 
    /* [in] */ handle_t hHandle,
    /* [out] */ LONG __RPC_FAR *lplReturnStatus,
    /* [out] */ LONG __RPC_FAR *lplBunchId,
    /* [out] */ LONG __RPC_FAR *lplBunchLen,
    /* [in] */ LONG lUncFormatLen,
    /* [size_is][ref][out] */ BYTE __RPC_FAR lpbUncFormat[  ],
    /* [in] */ LONG lMaxUncDataSize,
    /* [out] */ LONG __RPC_FAR *lplUncDataLen,
    /* [length_is][size_is][ref][out] */ BYTE __RPC_FAR lpbUncData[  ])
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          4);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U + 4U + 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lUncFormatLen;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lMaxUncDataSize;
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[48] );
        
        *lplReturnStatus = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        *lplBunchId = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        *lplBunchLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbUncFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[0],
                                      (unsigned char)0 );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *lplUncDataLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantVaryingArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR * __RPC_FAR *)&lpbUncData,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[54],
                                             (unsigned char)0 );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCCompBunchReqAccept( 
    /* [in] */ handle_t hHandle)
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          5);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[6] );
        
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCCompBunchRequest( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lBunchId,
    /* [in] */ LONG lBunchLen,
    /* [in] */ LONG lUncFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbUncFormat[  ],
    /* [in] */ LONG lRecFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbRecFormat[  ],
    /* [in] */ LONG lUncDataLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbUncData[  ])
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          6);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U + 4U + 4U + 4U + 4U + 11U + 7U + 11U + 7U;
        _StubMsg.MaxCount = lUncFormatLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)lpbUncFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[68] );
        
        _StubMsg.MaxCount = lRecFormatLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)lpbRecFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[78] );
        
        _StubMsg.MaxCount = lUncDataLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)lpbUncData,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[88] );
        
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lBunchId;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lBunchLen;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lUncFormatLen;
        
        _StubMsg.MaxCount = lUncFormatLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)lpbUncFormat,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[68] );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lRecFormatLen;
        
        _StubMsg.MaxCount = lRecFormatLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)lpbRecFormat,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[78] );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lUncDataLen;
        
        _StubMsg.MaxCount = lUncDataLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)lpbUncData,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[88] );
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[80] );
        
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCCompBunchRetAvail( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lBunchId)
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          7);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U + 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lBunchId;
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[0] );
        
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


LONG RPCGetCompBunchResult( 
    /* [in] */ handle_t hHandle,
    /* [out] */ LONG __RPC_FAR *lplReturnStatus,
    /* [ref][out][in] */ LONG __RPC_FAR *lplBunchId,
    /* [out] */ LONG __RPC_FAR *lplBunchLen,
    /* [in] */ LONG lRecFormatLen,
    /* [size_is][ref][out] */ BYTE __RPC_FAR lpbRecFormat[  ],
    /* [in] */ LONG lMaxBunchLen,
    /* [length_is][size_is][ref][out] */ LONG __RPC_FAR alRec[  ],
    /* [length_is][size_is][ref][out] */ DWORD __RPC_FAR dwRetFlags[  ],
    /* [in] */ LONG lMaxRecDataSize,
    /* [out] */ LONG __RPC_FAR *lplRecDataLen,
    /* [length_is][size_is][ref][out] */ BYTE __RPC_FAR lpbRecData[  ])
{

    RPC_BINDING_HANDLE _Handle	=	0;
    
    LONG _RetVal;
    
    RPC_MESSAGE _RpcMessage;
    
    MIDL_STUB_MESSAGE _StubMsg;
    
    RpcTryFinally
        {
        NdrClientInitializeNew(
                          ( PRPC_MESSAGE  )&_RpcMessage,
                          ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                          ( PMIDL_STUB_DESC  )&DistComp_StubDesc,
                          8);
        
        
        _Handle = hHandle;
        
        
        _StubMsg.BufferLength = 0U + 4U + 4U + 4U + 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, _Handle );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplBunchId;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lRecFormatLen;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lMaxBunchLen;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = lMaxRecDataSize;
        
        NdrSendReceive( (PMIDL_STUB_MESSAGE) &_StubMsg, (unsigned char __RPC_FAR *) _StubMsg.Buffer );
        
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[106] );
        
        *lplReturnStatus = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        *lplBunchId = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        *lplBunchLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbRecFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[0],
                                      (unsigned char)0 );
        
        NdrConformantVaryingArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR * __RPC_FAR *)&alRec,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[102],
                                             (unsigned char)0 );
        
        NdrConformantVaryingArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR * __RPC_FAR *)&dwRetFlags,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[102],
                                             (unsigned char)0 );
        
        *lplRecDataLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantVaryingArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR * __RPC_FAR *)&lpbRecData,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[116],
                                             (unsigned char)0 );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        _RetVal = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        }
    RpcFinally
        {
        NdrFreeBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg );
        
        }
    RpcEndFinally
    
    return _RetVal;
}


static const MIDL_STUB_DESC DistComp_StubDesc = 
    {
    (void __RPC_FAR *)& DistComp___RpcClientInterface,
    NdrRpcSmClientAllocate,
    NdrRpcSmClientFree,
    &DistComp__MIDL_AutoBindHandle,
    0,
    0,
    0,
    0,
    __MIDLFormatString.Format,
    0, /* -error bounds_check flag */
    0x10001, /* Ndr library version */
    0, /* Reserved */
    0, /* Reserved */
    0  /* Reserved */
    };

static const MIDL_FORMAT_STRING __MIDLProcFormatString =
    {
        0,
        {
			0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/*  2 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/*  4 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/*  6 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/*  8 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 10 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 12 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 14 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xd,		/* FC_ENUM16 */
/* 16 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 18 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 20 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 22 */	0x0, 0x0,	/* Type Offset=0 */
/* 24 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 26 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 28 */	0xa, 0x0,	/* Type Offset=10 */
/* 30 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 32 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 34 */	0x14, 0x0,	/* Type Offset=20 */
/* 36 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 38 */	0x1e, 0x0,	/* Type Offset=30 */
/* 40 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 42 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 44 */	0x28, 0x0,	/* Type Offset=40 */
/* 46 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 48 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 50 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 52 */	0x32, 0x0,	/* Type Offset=50 */
/* 54 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 56 */	0x32, 0x0,	/* Type Offset=50 */
/* 58 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 60 */	0x32, 0x0,	/* Type Offset=50 */
/* 62 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 64 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 66 */	0x0, 0x0,	/* Type Offset=0 */
/* 68 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 70 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 72 */	0x32, 0x0,	/* Type Offset=50 */
/* 74 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 76 */	0x36, 0x0,	/* Type Offset=54 */
/* 78 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 80 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 82 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 84 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 86 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 88 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 90 */	0x44, 0x0,	/* Type Offset=68 */
/* 92 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 94 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 96 */	0x4e, 0x0,	/* Type Offset=78 */
/* 98 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 100 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 102 */	0x58, 0x0,	/* Type Offset=88 */
/* 104 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 106 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 108 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 110 */	0x32, 0x0,	/* Type Offset=50 */
/* 112 */	
			0x50,		/* FC_IN_OUT_PARAM */
			0x1,		/* 1 */
/* 114 */	0x62, 0x0,	/* Type Offset=98 */
/* 116 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 118 */	0x32, 0x0,	/* Type Offset=50 */
/* 120 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 122 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 124 */	0x0, 0x0,	/* Type Offset=0 */
/* 126 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 128 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 130 */	0x66, 0x0,	/* Type Offset=102 */
/* 132 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 134 */	0x66, 0x0,	/* Type Offset=102 */
/* 136 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 138 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 140 */	0x32, 0x0,	/* Type Offset=50 */
/* 142 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 144 */	0x74, 0x0,	/* Type Offset=116 */
/* 146 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */

			0x0
        }
    };

static const MIDL_FORMAT_STRING __MIDLFormatString =
    {
        0,
        {
			
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/*  2 */	0x1, 0x0,	/* 1 */
/*  4 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/*  6 */	0x10, 0x0,	/* Stack offset= 16 */
#else
			0x20, 0x0,	/* Stack offset= 32 */
#endif
/*  8 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 10 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 12 */	0x1, 0x0,	/* 1 */
/* 14 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 16 */	0x18, 0x0,	/* Stack offset= 24 */
#else
			0x30, 0x0,	/* Stack offset= 48 */
#endif
/* 18 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 20 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 22 */	0x1, 0x0,	/* 1 */
/* 24 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 26 */	0x20, 0x0,	/* Stack offset= 32 */
#else
			0x40, 0x0,	/* Stack offset= 64 */
#endif
/* 28 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 30 */	
			0x1b,		/* FC_CARRAY */
			0x3,		/* 3 */
/* 32 */	0x4, 0x0,	/* 4 */
/* 34 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 36 */	0xc, 0x0,	/* Stack offset= 12 */
#else
			0x18, 0x0,	/* Stack offset= 24 */
#endif
/* 38 */	0x8,		/* FC_LONG */
			0x5b,		/* FC_END */
/* 40 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 42 */	0x1, 0x0,	/* 1 */
/* 44 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 46 */	0x2c, 0x0,	/* Stack offset= 44 */
#else
			0x58, 0x0,	/* Stack offset= 88 */
#endif
/* 48 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 50 */	
			0x11, 0xc,	/* FC_RP [alloced_on_stack] [simple_pointer] */
/* 52 */	0x8,		/* FC_LONG */
			0x5c,		/* FC_PAD */
/* 54 */	
			0x1c,		/* FC_CVARRAY */
			0x0,		/* 0 */
/* 56 */	0x1, 0x0,	/* 1 */
/* 58 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 60 */	0x18, 0x0,	/* Stack offset= 24 */
#else
			0x30, 0x0,	/* Stack offset= 48 */
#endif
/* 62 */	0x28,		/* 40 */
			0x54,		/* FC_DEREFERENCE */
#ifndef _ALPHA_
/* 64 */	0x1c, 0x0,	/* Stack offset= 28 */
#else
			0x38, 0x0,	/* Stack offset= 56 */
#endif
/* 66 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 68 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 70 */	0x1, 0x0,	/* 1 */
/* 72 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 74 */	0xc, 0x0,	/* Stack offset= 12 */
#else
			0x18, 0x0,	/* Stack offset= 24 */
#endif
/* 76 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 78 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 80 */	0x1, 0x0,	/* 1 */
/* 82 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 84 */	0x14, 0x0,	/* Stack offset= 20 */
#else
			0x28, 0x0,	/* Stack offset= 40 */
#endif
/* 86 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 88 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 90 */	0x1, 0x0,	/* 1 */
/* 92 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 94 */	0x1c, 0x0,	/* Stack offset= 28 */
#else
			0x38, 0x0,	/* Stack offset= 56 */
#endif
/* 96 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 98 */	
			0x11, 0x8,	/* FC_RP [simple_pointer] */
/* 100 */	0x8,		/* FC_LONG */
			0x5c,		/* FC_PAD */
/* 102 */	
			0x1c,		/* FC_CVARRAY */
			0x3,		/* 3 */
/* 104 */	0x4, 0x0,	/* 4 */
/* 106 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 108 */	0x18, 0x0,	/* Stack offset= 24 */
#else
			0x30, 0x0,	/* Stack offset= 48 */
#endif
/* 110 */	0x28,		/* 40 */
			0x54,		/* FC_DEREFERENCE */
#ifndef _ALPHA_
/* 112 */	0xc, 0x0,	/* Stack offset= 12 */
#else
			0x18, 0x0,	/* Stack offset= 24 */
#endif
/* 114 */	0x8,		/* FC_LONG */
			0x5b,		/* FC_END */
/* 116 */	
			0x1c,		/* FC_CVARRAY */
			0x0,		/* 0 */
/* 118 */	0x1, 0x0,	/* 1 */
/* 120 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 122 */	0x24, 0x0,	/* Stack offset= 36 */
#else
			0x48, 0x0,	/* Stack offset= 72 */
#endif
/* 124 */	0x28,		/* 40 */
			0x54,		/* FC_DEREFERENCE */
#ifndef _ALPHA_
/* 126 */	0x28, 0x0,	/* Stack offset= 40 */
#else
			0x50, 0x0,	/* Stack offset= 80 */
#endif
/* 128 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */

			0x0
        }
    };
