
#include <string.h>
#include "distcomp.h"

extern const MIDL_FORMAT_STRING __MIDLFormatString;

extern const MIDL_FORMAT_STRING __MIDLProcFormatString;
static RPC_PROTSEQ_ENDPOINT __RpcProtseqEndpoint[] = 
    {
    {(unsigned char *) "ncalrpc", (unsigned char *) "DistComp"},
    {(unsigned char *) "ncacn_nb_nb", (unsigned char *) "127"}
    };


extern RPC_DISPATCH_TABLE DistComp_v1_0_DispatchTable;

static const RPC_SERVER_INTERFACE DistComp___RpcServerInterface =
    {
    sizeof(RPC_SERVER_INTERFACE),
    {{0x6de3bb40,0xe6ac,0x11cd,{0x8a,0x0b,0x00,0xaa,0x00,0x4a,0x2e,0x32}},{1,0}},
    {{0x8A885D04,0x1CEB,0x11C9,{0x9F,0xE8,0x08,0x00,0x2B,0x10,0x48,0x60}},{2,0}},
    &DistComp_v1_0_DispatchTable,
    2,
    __RpcProtseqEndpoint,
    0,
    0
    };
RPC_IF_HANDLE DistComp_v1_0_s_ifspec = (RPC_IF_HANDLE)& DistComp___RpcServerInterface;

extern const MIDL_STUB_DESC DistComp_StubDesc;

void __RPC_STUB
DistComp_RPCControl(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    handle_t hHandle;
    LONG lCommand;
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[0] );
        
        lCommand = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        
        _RetVal = RPCControl(hHandle,lCommand);
        
        _StubMsg.BufferLength = 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCDecompBunchReqAccept(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    handle_t hHandle;
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[6] );
        
        
        _RetVal = RPCDecompBunchReqAccept(hHandle);
        
        _StubMsg.BufferLength = 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCDecompBunchRequest(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    LONG ( __RPC_FAR *alCom )[  ];
    BUNCHACTION baAction;
    handle_t hHandle;
    LONG lBunchId;
    LONG lBunchLen;
    LONG lComDataLen;
    LONG lComFormatLen;
    LONG lRecFormatLen;
    LONG lUncFormatLen;
    BYTE ( __RPC_FAR *lpbComData )[  ];
    BYTE ( __RPC_FAR *lpbComFormat )[  ];
    BYTE ( __RPC_FAR *lpbRecFormat )[  ];
    BYTE ( __RPC_FAR *lpbUncFormat )[  ];
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    lpbComFormat = 0;
    lpbUncFormat = 0;
    lpbRecFormat = 0;
    alCom = 0;
    lpbComData = 0;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[10] );
        
        lBunchId = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrSimpleTypeUnmarshall(
                           ( PMIDL_STUB_MESSAGE  )&_StubMsg,
                           ( unsigned char __RPC_FAR * )&baAction,
                           13);
        _StubMsg.Buffer += 2;
        lBunchLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lComFormatLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbComFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[0],
                                      (unsigned char)0 );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        lUncFormatLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbUncFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[10],
                                      (unsigned char)0 );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        lRecFormatLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbRecFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[20],
                                      (unsigned char)0 );
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&alCom,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[30],
                                      (unsigned char)0 );
        
        lComDataLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbComData,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[40],
                                      (unsigned char)0 );
        
        
        _RetVal = RPCDecompBunchRequest(
                                hHandle,
                                lBunchId,
                                baAction,
                                lBunchLen,
                                lComFormatLen,
                                *lpbComFormat,
                                lUncFormatLen,
                                *lpbUncFormat,
                                lRecFormatLen,
                                *lpbRecFormat,
                                *alCom,
                                lComDataLen,
                                *lpbComData);
        
        _StubMsg.BufferLength = 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCDecompBunchRetAvail(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    handle_t hHandle;
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[6] );
        
        
        _RetVal = RPCDecompBunchRetAvail(hHandle);
        
        _StubMsg.BufferLength = 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCGetDecompBunchResult(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _M22;
    LONG _M23;
    LONG _M24;
    LONG _M25;
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    handle_t hHandle;
    LONG lMaxUncDataSize;
    LONG lUncFormatLen;
    BYTE ( __RPC_FAR *lpbUncData )[  ];
    BYTE ( __RPC_FAR *lpbUncFormat )[  ];
    LONG __RPC_FAR *lplBunchId;
    LONG __RPC_FAR *lplBunchLen;
    LONG __RPC_FAR *lplReturnStatus;
    LONG __RPC_FAR *lplUncDataLen;
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    lplReturnStatus = 0;
    lplBunchId = 0;
    lplBunchLen = 0;
    lpbUncFormat = 0;
    lplUncDataLen = 0;
    lpbUncData = 0;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[48] );
        
        lUncFormatLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lMaxUncDataSize = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lplReturnStatus = &_M22;
        lplBunchId = &_M23;
        lplBunchLen = &_M24;
        lpbUncFormat = _StubMsg.pfnAllocate(lUncFormatLen * 1);
        lplUncDataLen = &_M25;
        lpbUncData = _StubMsg.pfnAllocate(lMaxUncDataSize * 1);
        
        _RetVal = RPCGetDecompBunchResult(
                                  hHandle,
                                  lplReturnStatus,
                                  lplBunchId,
                                  lplBunchLen,
                                  lUncFormatLen,
                                  *lpbUncFormat,
                                  lMaxUncDataSize,
                                  lplUncDataLen,
                                  *lpbUncData);
        
        _StubMsg.BufferLength = 4U + 4U + 4U + 4U + 11U + 18U + 11U;
        _StubMsg.MaxCount = lUncFormatLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)*lpbUncFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[0] );
        
        _StubMsg.MaxCount = lMaxUncDataSize;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplUncDataLen;
        
        NdrConformantVaryingArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR *)*lpbUncData,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[54] );
        
        _StubMsg.BufferLength += 16;
        
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplReturnStatus;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplBunchId;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplBunchLen;
        
        _StubMsg.MaxCount = lUncFormatLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)*lpbUncFormat,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[0] );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplUncDataLen;
        
        _StubMsg.MaxCount = lMaxUncDataSize;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplUncDataLen;
        
        NdrConformantVaryingArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                           (unsigned char __RPC_FAR *)*lpbUncData,
                                           (PFORMAT_STRING) &__MIDLFormatString.Format[54] );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        if ( lpbUncFormat )
            _StubMsg.pfnFree( lpbUncFormat );
        
        if ( lpbUncData )
            _StubMsg.pfnFree( lpbUncData );
        
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCCompBunchReqAccept(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    handle_t hHandle;
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[6] );
        
        
        _RetVal = RPCCompBunchReqAccept(hHandle);
        
        _StubMsg.BufferLength = 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCCompBunchRequest(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    handle_t hHandle;
    LONG lBunchId;
    LONG lBunchLen;
    LONG lRecFormatLen;
    LONG lUncDataLen;
    LONG lUncFormatLen;
    BYTE ( __RPC_FAR *lpbRecFormat )[  ];
    BYTE ( __RPC_FAR *lpbUncData )[  ];
    BYTE ( __RPC_FAR *lpbUncFormat )[  ];
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    lpbUncFormat = 0;
    lpbRecFormat = 0;
    lpbUncData = 0;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[80] );
        
        lBunchId = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lBunchLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lUncFormatLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbUncFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[68],
                                      (unsigned char)0 );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        lRecFormatLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbRecFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[78],
                                      (unsigned char)0 );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        lUncDataLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        NdrConformantArrayUnmarshall( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR * __RPC_FAR *)&lpbUncData,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[88],
                                      (unsigned char)0 );
        
        
        _RetVal = RPCCompBunchRequest(
                              hHandle,
                              lBunchId,
                              lBunchLen,
                              lUncFormatLen,
                              *lpbUncFormat,
                              lRecFormatLen,
                              *lpbRecFormat,
                              lUncDataLen,
                              *lpbUncData);
        
        _StubMsg.BufferLength = 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCCompBunchRetAvail(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    handle_t hHandle;
    LONG lBunchId;
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[0] );
        
        lBunchId = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        
        _RetVal = RPCCompBunchRetAvail(hHandle,lBunchId);
        
        _StubMsg.BufferLength = 4U;
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}

void __RPC_STUB
DistComp_RPCGetCompBunchResult(
    PRPC_MESSAGE _pRpcMessage )
{
    LONG _M26;
    LONG _M27;
    LONG _M28;
    LONG _RetVal;
    MIDL_STUB_MESSAGE _StubMsg;
    LONG ( __RPC_FAR *alRec )[  ];
    DWORD ( __RPC_FAR *dwRetFlags )[  ];
    handle_t hHandle;
    LONG lMaxBunchLen;
    LONG lMaxRecDataSize;
    LONG lRecFormatLen;
    BYTE ( __RPC_FAR *lpbRecData )[  ];
    BYTE ( __RPC_FAR *lpbRecFormat )[  ];
    LONG __RPC_FAR *lplBunchId;
    LONG __RPC_FAR *lplBunchLen;
    LONG __RPC_FAR *lplRecDataLen;
    LONG __RPC_FAR *lplReturnStatus;
    
NdrServerInitializeNew(
                          _pRpcMessage,
                          &_StubMsg,
                          &DistComp_StubDesc);
    hHandle = _pRpcMessage->Handle;
    lplReturnStatus = 0;
    lplBunchId = 0;
    lplBunchLen = 0;
    lpbRecFormat = 0;
    alRec = 0;
    dwRetFlags = 0;
    lplRecDataLen = 0;
    lpbRecData = 0;
    RpcTryFinally
        {
        NdrConvert( (PMIDL_STUB_MESSAGE) &_StubMsg, (PFORMAT_STRING) &__MIDLProcFormatString.Format[106] );
        
        lplBunchId = ( LONG __RPC_FAR * )_StubMsg.Buffer;
        _StubMsg.Buffer += sizeof( LONG  );
        
        lRecFormatLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lMaxBunchLen = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lMaxRecDataSize = *(( LONG __RPC_FAR * )_StubMsg.Buffer)++;
        
        lplReturnStatus = &_M26;
        lplBunchLen = &_M27;
        lpbRecFormat = _StubMsg.pfnAllocate(lRecFormatLen * 1);
        alRec = _StubMsg.pfnAllocate(lMaxBunchLen * 4);
        dwRetFlags = _StubMsg.pfnAllocate(lMaxBunchLen * 4);
        lplRecDataLen = &_M28;
        lpbRecData = _StubMsg.pfnAllocate(lMaxRecDataSize * 1);
        
        _RetVal = RPCGetCompBunchResult(
                                hHandle,
                                lplReturnStatus,
                                lplBunchId,
                                lplBunchLen,
                                lRecFormatLen,
                                *lpbRecFormat,
                                lMaxBunchLen,
                                *alRec,
                                *dwRetFlags,
                                lMaxRecDataSize,
                                lplRecDataLen,
                                *lpbRecData);
        
        _StubMsg.BufferLength = 4U + 4U + 4U + 4U + 22U + 18U + 7U + 18U + 11U;
        _StubMsg.MaxCount = lRecFormatLen;
        
        NdrConformantArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                      (unsigned char __RPC_FAR *)*lpbRecFormat,
                                      (PFORMAT_STRING) &__MIDLFormatString.Format[0] );
        
        _StubMsg.MaxCount = lMaxBunchLen;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplBunchLen;
        
        NdrConformantVaryingArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR *)*alRec,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[102] );
        
        _StubMsg.MaxCount = lMaxBunchLen;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplBunchLen;
        
        NdrConformantVaryingArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR *)*dwRetFlags,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[102] );
        
        _StubMsg.MaxCount = lMaxRecDataSize;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplRecDataLen;
        
        NdrConformantVaryingArrayBufferSize( (PMIDL_STUB_MESSAGE) &_StubMsg,
                                             (unsigned char __RPC_FAR *)*lpbRecData,
                                             (PFORMAT_STRING) &__MIDLFormatString.Format[116] );
        
        _StubMsg.BufferLength += 16;
        
        NdrGetBuffer( (PMIDL_STUB_MESSAGE) &_StubMsg, _StubMsg.BufferLength, 0 );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplReturnStatus;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplBunchId;
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplBunchLen;
        
        _StubMsg.MaxCount = lRecFormatLen;
        
        NdrConformantArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                    (unsigned char __RPC_FAR *)*lpbRecFormat,
                                    (PFORMAT_STRING) &__MIDLFormatString.Format[0] );
        
        _StubMsg.MaxCount = lMaxBunchLen;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplBunchLen;
        
        NdrConformantVaryingArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                           (unsigned char __RPC_FAR *)*alRec,
                                           (PFORMAT_STRING) &__MIDLFormatString.Format[102] );
        
        _StubMsg.MaxCount = lMaxBunchLen;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplBunchLen;
        
        NdrConformantVaryingArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                           (unsigned char __RPC_FAR *)*dwRetFlags,
                                           (PFORMAT_STRING) &__MIDLFormatString.Format[102] );
        
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = *lplRecDataLen;
        
        _StubMsg.MaxCount = lMaxRecDataSize;
        _StubMsg.Offset = 0;
        _StubMsg.ActualCount = *lplRecDataLen;
        
        NdrConformantVaryingArrayMarshall( (PMIDL_STUB_MESSAGE)& _StubMsg,
                                           (unsigned char __RPC_FAR *)*lpbRecData,
                                           (PFORMAT_STRING) &__MIDLFormatString.Format[116] );
        
        _StubMsg.Buffer = (unsigned char __RPC_FAR *)(((long)_StubMsg.Buffer + 3) & ~ 0x3);
        *(( LONG __RPC_FAR * )_StubMsg.Buffer)++ = _RetVal;
        
        }
    RpcFinally
        {
        if ( lpbRecFormat )
            _StubMsg.pfnFree( lpbRecFormat );
        
        if ( alRec )
            _StubMsg.pfnFree( alRec );
        
        if ( dwRetFlags )
            _StubMsg.pfnFree( dwRetFlags );
        
        if ( lpbRecData )
            _StubMsg.pfnFree( lpbRecData );
        
        }
    RpcEndFinally
    _pRpcMessage->BufferLength = 
        (unsigned int)((long)_StubMsg.Buffer - (long)_pRpcMessage->Buffer);
    
}


static const MIDL_STUB_DESC DistComp_StubDesc = 
    {
    (void __RPC_FAR *)& DistComp___RpcServerInterface,
    NdrRpcSsDefaultAllocate,
    NdrRpcSsDefaultFree,
    0,
    0,
    0,
    0,
    0,
    __MIDLFormatString.Format,
    0, /* -error bounds_check flag */
    0x10001, /* Ndr library version */
    0, /* Reserved */
    0, /* Reserved */
    0  /* Reserved */
    };

static RPC_DISPATCH_FUNCTION DistComp_table[] =
    {
    DistComp_RPCControl,
    DistComp_RPCDecompBunchReqAccept,
    DistComp_RPCDecompBunchRequest,
    DistComp_RPCDecompBunchRetAvail,
    DistComp_RPCGetDecompBunchResult,
    DistComp_RPCCompBunchReqAccept,
    DistComp_RPCCompBunchRequest,
    DistComp_RPCCompBunchRetAvail,
    DistComp_RPCGetCompBunchResult,
    0
    };
RPC_DISPATCH_TABLE DistComp_v1_0_DispatchTable = 
    {
    9,
    DistComp_table
    };

static const MIDL_FORMAT_STRING __MIDLProcFormatString =
    {
        0,
        {
			0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/*  2 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/*  4 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/*  6 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/*  8 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 10 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 12 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 14 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xd,		/* FC_ENUM16 */
/* 16 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 18 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 20 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 22 */	0x0, 0x0,	/* Type Offset=0 */
/* 24 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 26 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 28 */	0xa, 0x0,	/* Type Offset=10 */
/* 30 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 32 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 34 */	0x14, 0x0,	/* Type Offset=20 */
/* 36 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 38 */	0x1e, 0x0,	/* Type Offset=30 */
/* 40 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 42 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 44 */	0x28, 0x0,	/* Type Offset=40 */
/* 46 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 48 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 50 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 52 */	0x32, 0x0,	/* Type Offset=50 */
/* 54 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 56 */	0x32, 0x0,	/* Type Offset=50 */
/* 58 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 60 */	0x32, 0x0,	/* Type Offset=50 */
/* 62 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 64 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 66 */	0x0, 0x0,	/* Type Offset=0 */
/* 68 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 70 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 72 */	0x32, 0x0,	/* Type Offset=50 */
/* 74 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 76 */	0x36, 0x0,	/* Type Offset=54 */
/* 78 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 80 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 82 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 84 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 86 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 88 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 90 */	0x44, 0x0,	/* Type Offset=68 */
/* 92 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 94 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 96 */	0x4e, 0x0,	/* Type Offset=78 */
/* 98 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 100 */	
			0x4d,		/* FC_IN_PARAM */
			0x1,		/* 1 */
/* 102 */	0x58, 0x0,	/* Type Offset=88 */
/* 104 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 106 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0xf,		/* FC_IGNORE */
/* 108 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 110 */	0x32, 0x0,	/* Type Offset=50 */
/* 112 */	
			0x50,		/* FC_IN_OUT_PARAM */
			0x1,		/* 1 */
/* 114 */	0x62, 0x0,	/* Type Offset=98 */
/* 116 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 118 */	0x32, 0x0,	/* Type Offset=50 */
/* 120 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 122 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 124 */	0x0, 0x0,	/* Type Offset=0 */
/* 126 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 128 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 130 */	0x66, 0x0,	/* Type Offset=102 */
/* 132 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 134 */	0x66, 0x0,	/* Type Offset=102 */
/* 136 */	0x4e,		/* FC_IN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */
/* 138 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 140 */	0x32, 0x0,	/* Type Offset=50 */
/* 142 */	
			0x51,		/* FC_OUT_PARAM */
			0x1,		/* 1 */
/* 144 */	0x74, 0x0,	/* Type Offset=116 */
/* 146 */	0x53,		/* FC_RETURN_PARAM_BASETYPE */
			0x8,		/* FC_LONG */

			0x0
        }
    };

static const MIDL_FORMAT_STRING __MIDLFormatString =
    {
        0,
        {
			
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/*  2 */	0x1, 0x0,	/* 1 */
/*  4 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/*  6 */	0x10, 0x0,	/* Stack offset= 16 */
#else
			0x20, 0x0,	/* Stack offset= 32 */
#endif
/*  8 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 10 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 12 */	0x1, 0x0,	/* 1 */
/* 14 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 16 */	0x18, 0x0,	/* Stack offset= 24 */
#else
			0x30, 0x0,	/* Stack offset= 48 */
#endif
/* 18 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 20 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 22 */	0x1, 0x0,	/* 1 */
/* 24 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 26 */	0x20, 0x0,	/* Stack offset= 32 */
#else
			0x40, 0x0,	/* Stack offset= 64 */
#endif
/* 28 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 30 */	
			0x1b,		/* FC_CARRAY */
			0x3,		/* 3 */
/* 32 */	0x4, 0x0,	/* 4 */
/* 34 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 36 */	0xc, 0x0,	/* Stack offset= 12 */
#else
			0x18, 0x0,	/* Stack offset= 24 */
#endif
/* 38 */	0x8,		/* FC_LONG */
			0x5b,		/* FC_END */
/* 40 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 42 */	0x1, 0x0,	/* 1 */
/* 44 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 46 */	0x2c, 0x0,	/* Stack offset= 44 */
#else
			0x58, 0x0,	/* Stack offset= 88 */
#endif
/* 48 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 50 */	
			0x11, 0xc,	/* FC_RP [alloced_on_stack] [simple_pointer] */
/* 52 */	0x8,		/* FC_LONG */
			0x5c,		/* FC_PAD */
/* 54 */	
			0x1c,		/* FC_CVARRAY */
			0x0,		/* 0 */
/* 56 */	0x1, 0x0,	/* 1 */
/* 58 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 60 */	0x18, 0x0,	/* Stack offset= 24 */
#else
			0x30, 0x0,	/* Stack offset= 48 */
#endif
/* 62 */	0x28,		/* 40 */
			0x54,		/* FC_DEREFERENCE */
#ifndef _ALPHA_
/* 64 */	0x1c, 0x0,	/* Stack offset= 28 */
#else
			0x38, 0x0,	/* Stack offset= 56 */
#endif
/* 66 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 68 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 70 */	0x1, 0x0,	/* 1 */
/* 72 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 74 */	0xc, 0x0,	/* Stack offset= 12 */
#else
			0x18, 0x0,	/* Stack offset= 24 */
#endif
/* 76 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 78 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 80 */	0x1, 0x0,	/* 1 */
/* 82 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 84 */	0x14, 0x0,	/* Stack offset= 20 */
#else
			0x28, 0x0,	/* Stack offset= 40 */
#endif
/* 86 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 88 */	
			0x1b,		/* FC_CARRAY */
			0x0,		/* 0 */
/* 90 */	0x1, 0x0,	/* 1 */
/* 92 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 94 */	0x1c, 0x0,	/* Stack offset= 28 */
#else
			0x38, 0x0,	/* Stack offset= 56 */
#endif
/* 96 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */
/* 98 */	
			0x11, 0x8,	/* FC_RP [simple_pointer] */
/* 100 */	0x8,		/* FC_LONG */
			0x5c,		/* FC_PAD */
/* 102 */	
			0x1c,		/* FC_CVARRAY */
			0x3,		/* 3 */
/* 104 */	0x4, 0x0,	/* 4 */
/* 106 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 108 */	0x18, 0x0,	/* Stack offset= 24 */
#else
			0x30, 0x0,	/* Stack offset= 48 */
#endif
/* 110 */	0x28,		/* 40 */
			0x54,		/* FC_DEREFERENCE */
#ifndef _ALPHA_
/* 112 */	0xc, 0x0,	/* Stack offset= 12 */
#else
			0x18, 0x0,	/* Stack offset= 24 */
#endif
/* 114 */	0x8,		/* FC_LONG */
			0x5b,		/* FC_END */
/* 116 */	
			0x1c,		/* FC_CVARRAY */
			0x0,		/* 0 */
/* 118 */	0x1, 0x0,	/* 1 */
/* 120 */	0x28,		/* 40 */
			0x0,		/*  */
#ifndef _ALPHA_
/* 122 */	0x24, 0x0,	/* Stack offset= 36 */
#else
			0x48, 0x0,	/* Stack offset= 72 */
#endif
/* 124 */	0x28,		/* 40 */
			0x54,		/* FC_DEREFERENCE */
#ifndef _ALPHA_
/* 126 */	0x28, 0x0,	/* Stack offset= 40 */
#else
			0x50, 0x0,	/* Stack offset= 80 */
#endif
/* 128 */	0x2,		/* FC_CHAR */
			0x5b,		/* FC_END */

			0x0
        }
    };
