// RegDB.h -- Defines the registry interface used by this application.
//            The registry database conventions are described in
//            RegDb.c.

#define REG_INSTALLED       TEXT("Installed")      // Last value written during
                                                   // application installation.

extern HKEY hkGlobal;

BOOL					RunningAsAdministrator(void);
BOOL					InstallApp(LPTSTR pszPathBuff);
BOOL					StoreAppConfig(LPTSTR pszPathBuff);
BOOL					CreateAppKeys(void);
PSECURITY_DESCRIPTOR	GetKeyDACLSD(HKEY hkMainKey, LPTSTR lpszSubKey);
void					FreeKeyDACLSD(PSECURITY_DESCRIPTOR pAbsSD);
void					ReadAppKeyValues(void);
